[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# LoadGlyphFromLazarusResource

Loads the named glyph image from a Lazarus Resource file.

## Declaration

Source position: buttons.pp line 524

`procedure LoadGlyphFromLazarusResource(`
`AGlyph: TButtonGlyph;`
`const AName: string`
`);`

## Arguments

`AGlyph` |  | Class instance where the bitmap for the glyph is stored.
`AName` |  | Resource name loaded in the routine.

## Description

LoadGlyphFromLazarusResource loads a glyph image with the specified name from a Lazarus Resource file (.lrs). Used in the implementation of the LoadGlyphFromLazarusResource method in both TCustomBitBtn and TCustomSpeedButton.

## See also

TCustomBitBtn.LoadGlyphFromLazarusResource |  | Loads a glyph image from the Lazarus resource file (.lrs).
TCustomSpeedButton.LoadGlyphFromLazarusResource |  | LoadGlyphFromLazarusResource - method for loading a glyph from a Lazarus Resource file (.lrs).